Get the Build Version and Daily Maintenance Time (v1)
This API returns information about the current build version and the scheduled daily maintenance window time.
This topic describes the original version of this REST API. You can also use the simplified v2 version of the REST API. The v2 version contains all parameters in the payload and does not require URL encoding while calling the REST APIs. This makes the v2 API easier to use. The v2 version is backwards compatible.
Required Roles
Service Administrator or any user assigned to the Migrations - Administer granular role
REST Resource
GET /interop/rest/{api_version}/services/dailymaintenance
Request
Response
Supported Media Types: application/json
Table 12-2 Parameters
| Parameters | Description |
|---|---|
details |
In case of errors, details are published with the error string |
status |
See Migration Status Codes |
items |
Detailed information about the API |
amwTime |
Scheduled start time of the daily maintenance window in 24-hour format in Etc/UTC timezone by default or in the specified time zone when the "showTimeZone" optional parameter is true. |
buildVersion |
Current build version |
links |
Detailed information about the link |
href |
Links to API call |
action |
The HTTP call type |
rel |
Possible value: self
|
data |
Parameters as key value pairs passed in the request |
Example of Response Body
{
"details":null,
"links":[
{
"rel":"self","href":"https://<BASE-URL>/interop/rest/v1/services/dailymaintenance",
"data":"null",
"action":"GET"}],
"status":"0",
"items":[
{
"amwTime":"19",
"buildVersion":"16.10.17"}
]
}Get Build Version and Daily Maintenance Time Sample Code